FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » Imported messages » comp.lang.php » pecl install xpackage - php_suffix does not match
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
pecl install xpackage - php_suffix does not match [message #180165] Sat, 19 January 2013 04:35
speroshiropetto is currently offline  speroshiropetto
Messages: 1
Registered: January 2013
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Compiling PHP from source, when installing a pecl package I get the below warning and the package does not get compiled into a .so.

WARNING: php_bin /opt/php-5.4.11/bin/php appears to have a suffix -5.4.11/bin/php, but config variable php_suffix does not match

Steps:

../configure \
--prefix=/opt/php-5.4.11 \
--with-libdir=lib64 \
--enable-cli \
--enable-cgi \
--disable-debug \
--disable-short-tags \
--enable-shared \
--with-apxs2=/usr/sbin/apxs \
&& make clean && make && make install

pecl install pecl_http

outputs

downloading pecl_http-1.7.4.tar ...
Starting to download pecl_http-1.7.4.tar (Unknown size)
........................................................................... ......................................done: 1,026,048 bytes
71 source files, building
WARNING: php_bin /opt/php-5.4.11/bin/php appears to have a suffix -5.4.11/bin/php, but config variable php_suffix does not match



But when taking "php" out of the configure prefix, it compiles just fine.


../configure \
--prefix=/opt/billybob-5.4.11 \
--with-libdir=lib64 \
--enable-cli \
--enable-cgi \
--disable-debug \
--disable-short-tags \
--enable-shared \
--with-apxs2=/usr/sbin/apxs \
&& make clean && make && make install

$/opt/billybob-5.4.11/bin/pecl install pecl_http
downloading pecl_http-1.7.4.tar ...
Starting to download pecl_http-1.7.4.tar (Unknown size)
........................................................................... ........................................................................... ....................................done: 1,026,048 bytes
71 source files, building
running: phpize
Configuring for:
PHP Api Version: 20100412
Zend Module Api No: 20100525
Zend Extension Api No: 220100525
whether to enable cURL HTTP requests; specify libcurl directory [yes] : ^C




Any thoughts?
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: PHP Opening!!
Next Topic: cURL and $_SESSION
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Sun Dec 10 19:27:39 EST 2017

Total time taken to generate the page: 0.00708 seconds